Bug 151439 - Switch navigation in webUI to point to Java pages
Switch navigation in webUI to point to Java pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn400
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Fanny Augustin
:
Depends On:
Blocks: 151514
  Show dependency treegraph
 
Reported: 2005-03-17 18:33 EST by Mike McCune
Modified: 2007-04-18 13:21 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHN 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 17:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2005-03-17 18:33:43 EST
Currently the nav links at the top of the UI and the secondary nav on the left
point to the Perl pages.

For the pages we want included in the release in 400 we need to make sure the
Nav points to the corresponding Java pages.

Mike
Comment 1 Mike McCune 2005-03-21 21:08:27 EST
TEST PLAN:

1) Login to hosted
2) Click "Your Acccount".  Verify that you are taken to:
/rhn/account/UserDetails.do
3) Make sure Addresses, Change Email, Account Deactivation links on left nav
   all go to pages ending with .do instead of .pxt
4) Click, Your Preferences.  Make sure the URL is a .do instead of .pxt
5) Click Errata on the topnav, verify that the page URL ends in .do
6) Verify on the left nav that: Errata, Relevant, All, Advanced Search, Manage
Errata, Published, Unpublished all go to pages ending in .do
7) Click the Schedule tab on the top nav, verify that url ends in .do
8) On left nav for Pending Actions, Failed Actions, Completed Actions, Archived
Actions, click on each and verify that they end in .do
9) Click on Users tab at the top.  Make sure it ends in .do
10) CLick User List on left nav , make sure URL ends in .do


Comment 2 Todd Warner 2005-05-09 15:07:08 EDT
mass move to ON_QA after 2005-05-09 QA push
Comment 3 Fanny Augustin 2005-06-22 14:24:12 EDT
Looks good on QA.

Note You need to log in before you can comment on or make changes to this bug.